Subject: bug#19194: 24.4.50; `window-body-width' is not dynamic relative to font size changes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Dec 2014 18:47:13 +0200

> Date: Sat, 20 Dec 2014 17:31:34 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > I actually don't really understand the question.  What does "character
>  > width" mean when each character has a different width?  Do you (Joe)
>  > mean you want to know the actual width of each and every character?
> 
> The maximum character width.  That's why he proposes to use the width of
> an "M" for this.
> 
>  > If so, what for?
> 
> Probably to know how many characters fit into a line.  With a
> proportional font.

But for a proportional font, that question has no meaningful answer.
Using the maximum width could yield a result that it a gross
underestimation.  I fail to see how this could be more useful than
using the average width.

>  > In any case, if you do need the width of individual characters, take a
>  > look at font-get-glyphs (and font-at to get you the font for that).
> 
> He wants the width of a default font "M" (where the default fount could
> be proportional) filtered by the frame it appears on and the remapping
> specified for the buffer the character appears in.

Once you get the font used by a face on that frame and buffer, the
font parameters are fixed.